fann_set_weight_array
fann_shuffle_train_data
Fann Functions
PHP Manual

# fann_set_weight

(PECL fann >= 1.0.0)

fann_set_weight — Set a connection in the network

### Description

bool fann_set_weight ( resource `$ann` , int `$from_neuron` , int `$to_neuron` , float `$weight` )

Set a connections in the network.

### Parameters

`ann`

  Neural network resource.

`from_neuron`

  The neuron where the connection starts

`to_neuron`

  The neuron where the connection ends

`weight`

  Connection weight

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

fann_set_weight_array
fann_shuffle_train_data
Fann Functions
PHP Manual